Bug 189029 - /etc/cups/mime.convs shoud be world readable
/etc/cups/mime.convs shoud be world readable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 18:03 EDT by Bernard Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-14 18:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2006-04-14 18:03:20 EDT
Description of problem:
/etc/cups/mime.convs should be world readable, otherwise programs like
hp-sendfax can not run.

Version-Release number of selected component (if applicable):
cups-1.2-0.4.rc2.1

How reproducible:
always

Steps to Reproduce:
1. hp-sendfax
2.
3.
  
Actual results:
[bjohnson@localhost ~]$ hp-sendfax
 [ERROR]: Coverpages disabled. Reportlab not installed.

HP Linux Imaging and Printing System (ver. 0.9.10)
PC Sendfax Utility ver. 1.7

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Traceback (most recent call last):
  File "/usr/bin/hp-sendfax", line 369, in ?
    sys.exit(main(sys.argv[1:]))
  File "/usr/bin/hp-sendfax", line 344, in main
    job_size)
  File "/usr/share/hplip/ui/faxsendjobform.py", line 124, in __init__
    self.allowable_mime_types = cups.getAllowableMIMETypes()
  File "/usr/share/hplip/prnt/cups.py", line 109, in getAllowableMIMETypes
    conv_file = file(f, 'r')
IOError: [Errno 13] Permission denied: '/etc/cups/mime.convs'
[bjohnson@localhost ~]$

Expected results:
no error

Additional info:
Comment 1 Tim Waugh 2006-04-14 18:20:42 EDT
Thanks.  Reported upstream:

  http://cups.org/str.php?L1565
Comment 2 Bernard Johnson 2006-04-14 20:51:47 EDT
Can we get an:
%attr(0644,-,-) in the interim?
Comment 3 Tim Waugh 2006-04-18 08:36:58 EDT
I'm expecting an rc3 before too long, and that contains the fix.

Note You need to log in before you can comment on or make changes to this bug.